Katello: Deleting repository from product leaves product in Candlepin database

10/12/2017 07:46 PM - John Beranek

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I was tidying my Katello 3.4.5 installation, deleting old no longer used repositories, and the first repository deleted fine, but when I

tried to delete the next one, it got stuck halfway through the deletion with a Candlepin error about the product referring to the

repository I just deleted. This was:

Katello::Errors::CandlepinError: Runtime Error product references content which does not exist: ContentData [id: 1481545184271,

name: CentOS-7.3-x86_64-extras, label: Acme_Corp_CentOS_CentOS-7_3-x86_64-extras] at

org.candlepin.controller.ProductManager.applyProductChanges:658

Looking at the Candlepin DB I found that this repository was still referred to in cp_content:

e3e38602bba447dba0e2bf398b13b3a0 | 1481545184271 | 2016-12-12 12:19:44.271+00 | 2016-12-12 12:19:4

4.271+00 | /custom/CentOS/CentOS-7_3-x86_64-extras             |        | Acme_Corp_CentOS_CentOS-

7_3-x86_64-extras             |              1 | CentOS-7.3-x86_64-extras             |           

 |              | yum  | Custom |        |                |      0

 but this repository had already been removed from Pulp.

So, it looks like the repository deletion isn't fully completing for some reason.

History

#1 - 10/12/2017 07:50 PM - John Beranek

- Status changed from New to Duplicate

Apologies, created this in the wrong issue tracker, raised as http://projects.theforeman.org/issues/21316 now.
